/////////////////////////////////////////////////////////////////
//Copyright (C) 2005 NTT CORPORATION.
//
//WBT個別ログ用の教材構造取得メソッド
//
//		変更履歴
//			2005.01.31  新規作成  OGA
//
//	機能
//
//Sessionに登録されているRDFNodeオブジェクトを取得し
//指定されたUIDのノードを検索して返す。
//
/////////////////////////////////////////////////////////////////

/*
 * 作成日: 2005/02/19
 *
 * TODO この生成されたファイルのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */
package jp.co.ntt.lms.xmf.actions.lo.wbt.IndividualLog.inc;

import javax.servlet.http.HttpSession;

import jp.co.ntt.lms.Common.RDF.*;

/**
 * @author Administrator
 *
 * TODO この生成された型コメントのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */
public class IndividualStub_inc {

	/**
	 * 
	 */
	public IndividualStub_inc() {
		super();
		// TODO 自動生成されたコンストラクター・スタブ
	}
	
	/**
	 * Sessionに登録されているRDFNodeオブジェクトを取得し
	 * 指定されたUIDのノードを検索して返す。
	 * @param strUID UID
	 * @param strLOID LOID
	 * @param session リクエストのあったセッションオブジェクト
	 * @return RDFNode (取得できない場合はnullを返します。)
	 */

	public RDFNode getTargetRDFNode( String strUID, String strLOID, HttpSession session ) {
		// パラメータチェック
		if( strUID == null || session == null ) {
			return null;
		}

		RDFNode objNode = null;
		try {
			objNode = (RDFNode)session.getAttribute( strLOID );
		}
		catch( ClassCastException ce ) {
			return null;
		}

		if( objNode == null ) {
			return null;
		}
		return objNode.searchNode( strUID );
	}

}
